Perl::Critic::Exception::Parse(3)

NAME
Perl::Critic::Exception::Parse - The code doesn't look like code.

DESCRIPTION
There was a problem with PPI parsing source code.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

METHODS

"file_name()"
    Returns the name of the file that the problem was found with, if available.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2008-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.